# Commit
_The advanced modern typewriter_ by [Intersanity Enterprises](https://www.intersanity.com/commit/)


## Developers

* [Scott Bradford](https://www.scottbradford.us/) (lead)

## Languages and Libraries:

### General

* [Python](https://www.python.org/) (programming language)
* [wxPython](https://wxpython.org/) (cross-platform GUI toolkit)
* [AppDirs](https://github.com/ActiveState/appdirs) (find proper directories)
* [PyYAML](https://github.com/yaml/pyyaml) (parse metadata)

### File Conversion

* [Beautiful Soup](https://www.crummy.com/software/BeautifulSoup/) (HTML conversion)
* [Pandoc](https://pandoc.org/) (document conversion tool)
* [PyPandoc](https://github.com/JessicaTegner/pypandoc) (Python integration with Pandoc)
* [Python-Markdown](https://github.com/Python-Markdown/markdown) (Markdown conversion)

### Packaging

* [py2app](https://py2app.readthedocs.io/) (packaging for Mac)
* [py2exe](https://www.py2exe.org/), [NSIS](https://nsis.sourceforge.io/Main_Page), and
  [NSIS LockedList](https://nsis.sourceforge.io/LockedList_plug-in) (packaging for Windows)
* [Dpkg](https://www.dpkg.org/) and [Flatpak](https://flatpak.org/) (packaging for Linux)

## Images

* _Commit_ application icons and splash screen by Melissa Bradford
* Other icons from [Bootstrap Icons](https://icons.getbootstrap.com/) by the Bootstrap authors

## Sounds

* [Notification Sound](https://pixabay.com/sound-effects/notification-sound-7062/) by BeezleFM
* [Ping](https://pixabay.com/sound-effects/ping-82822/) by DrMrSir

## Platform-Specific Components
* [GTK3 Adwaita](https://gitlab.gnome.org/GNOME/gtk/-/tree/gtk-3-24/gtk/theme/Adwaita) (GTK platforms)
* [PyGObject GTK](https://gitlab.gnome.org/GNOME/pygobject) (Linux)
* [PyObjC Cocoa](https://github.com/ronaldoussoren/pyobjc/) (Mac)
* Mac toolbar icons from [SF Symbols](https://developer.apple.com/sf-symbols/) by Apple
* Windows toolbar icons from [Segoe Fluent Icons](https://learn.microsoft.com/en-us/windows/apps/design/style/segoe-fluent-icons-font) by Microsoft

## Tools

* [Adobe Creative Cloud](https://www.adobe.com/creativecloud.html) (various graphics tools)
* [JetBrains PyCharm Professional](https://www.jetbrains.com/pycharm/) (IDE)
* [Poedit](https://poedit.net/) (internationalization tool)
* [wxFormBuilder](https://github.com/wxFormBuilder/wxFormBuilder) (window and form designer)
