import wx               # wxPython - https://wxpython.org/

from commit.ui.commit_ui_design import HtmlDisplayWin_Base  # local - about window design from wxFormBuilder
from commit.includes.customobjects import WindowThemeable   # local - custom objects


class HtmlDisplayWin(HtmlDisplayWin_Base, WindowThemeable):
    def __init__(self, parent, title="", html_content=None, preproc=False):

        # call parent inits
        HtmlDisplayWin_Base.__init__(self, parent)

        self.Bind(wx.EVT_SHOW, self.on_show)

        WindowThemeable.__init__(self, parent)

        # set window title
        self.SetTitle(title)

        # send the HTML content and preproc flag to the object
        self.html_content = html_content
        self.preproc = preproc

        self.Fit()
        self.Center()

    def on_show(self, event):
        event.Skip()
        self.html_display.SetPage(
            self.html_content,
            preproc=self.preproc
        )
